Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.sitegraph
Class StrutsConfigRetriever

    java.lang.Object
      org.apache.struts2.sitegraph.StrutsConfigRetriever

    public class StrutsConfigRetriever

extends Object

Initializes and retrieves XWork config elements

Constructor Summary
`StrutsConfigRetriever()`

Method Summary
`static com.opensymphony.xwork2.config.entities.ActionConfig` | `getActionConfig(String namespace, String actionName)` Returns the ActionConfig for this action name at this namespace.
`static Map<String,Map<String,com.opensymphony.xwork2.config.entities.ActionConfig>>` | `getActionConfigs()` Returns a Map of all action names/configs
`static Set<String>` | `getActionNames(String namespace)` Return a Set of the action names for this namespace.
`static Set<String>` | `getNamespaces()`
`static com.opensymphony.xwork2.config.entities.ResultConfig` | `getResultConfig(String namespace, String actionName, String resultName)`
`static View` | `getView(String namespace, String actionName, String resultName, int type)`
`static File` | `getViewFile(String namespace, String actionName, String resultName)`
`static void` | `setConfiguration(String configDir, String[] views)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsConfigRetriever

    public StrutsConfigRetriever()

Method Detail

### getActionConfigs

    public static Map<String,Map<String,com.opensymphony.xwork2.config.entities.ActionConfig>> getActionConfigs()

  Returns a Map of all action names/configs

  Returns:
    Map of all action names/configs

### getNamespaces

    public static Set<String> getNamespaces()

### getActionNames

    public static Set<String> getActionNames(String namespace)

  Return a Set of the action names for this namespace.

  Parameters:
    `namespace` -
  Returns:
    Set of the action names for this namespace.

### getActionConfig

    public static com.opensymphony.xwork2.config.entities.ActionConfig getActionConfig(String namespace,
                                                                                       String actionName)

  Returns the ActionConfig for this action name at this namespace.

  Parameters:
    `namespace` -
    `actionName` -
  Returns:
    The ActionConfig for this action name at this namespace.

### getResultConfig

    public static com.opensymphony.xwork2.config.entities.ResultConfig getResultConfig(String namespace,
                                                                                       String actionName,
                                                                                       String resultName)

### getViewFile

    public static File getViewFile(String namespace,
                                   String actionName,
                                   String resultName)

### getView

    public static View getView(String namespace,
                               String actionName,
                               String resultName,
                               int type)

### setConfiguration

    public static void setConfiguration(String configDir,
                                        String[] views)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.